/**
 * @hidden
 */
export class QueryPanelController {
    /**
     * @param {import('ngeo/query/ModeSelector').QueryModeSelector} ngeoQueryModeSelector
     *     The ngeo query modeSelector service.
     * @ngdoc controller
     * @ngname NgeoQueryController
     */
    constructor(ngeoQueryModeSelector: import("ngeo/query/ModeSelector").QueryModeSelector);
    /**
     * @type {import('ngeo/query/ModeSelector').QueryModeSelector}
     */
    ngeoQueryModeSelector: import("ngeo/query/ModeSelector").QueryModeSelector;
}
export namespace QueryPanelController {
    let $inject: string[];
}
export default myModule;
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
